Bug 496743 - "Caught signal 7", server crash viewing hulu.com clip
"Caught signal 7", server crash viewing hulu.com clip
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 17:42 EDT by Tom London
Modified: 2018-04-11 08:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 14:21:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log from crash..... (92.92 KB, text/plain)
2009-04-20 17:42 EDT, Tom London
no flags Details
Output of "lspic -vv" (12.25 KB, text/plain)
2009-04-21 09:51 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2009-04-20 17:42:55 EDT
Created attachment 340439 [details]
/var/log/Xorg.0.log from crash.....

Description of problem:
Got the following X server crash watching a clip from hulu.com:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e9d26]
1: /usr/bin/Xorg(xf86SigHandler+0x6f) [0x47de1f]
2: /lib64/libc.so.6 [0x38a5433570]
3: /usr/lib64/libpixman-1.so.0 [0x38ad831724]
4: /usr/lib64/xorg/modules//libfb.so(fbCopyNtoN+0x1bf) [0x7fa7043ee30f]
5: /usr/lib64/xorg/modules//libfb.so(fbCopyRegion+0x29d) [0x7fa7043ed34d]
6: /usr/lib64/xorg/modules//libfb.so(fbDoCopy+0x44a) [0x7fa7043ed85a]
7: /usr/lib64/xorg/modules//libfb.so(fbCopyArea+0x4c) [0x7fa7043ed9dc]
8: /usr/lib64/xorg/modules/drivers//intel_drv.so [0x7fa704e7a4fd]
9: /usr/lib64/xorg/modules/drivers//intel_drv.so [0x7fa704e7a999]
10: /usr/bin/Xorg [0x532efc]
11: /usr/bin/Xorg [0x5080c9]
12: /usr/bin/Xorg [0x5093e0]
13: /usr/bin/Xorg(Dispatch+0x384) [0x4471b4]
14: /usr/bin/Xorg(main+0x3c5) [0x42d0e5]
15: /lib64/libc.so.6(__libc_start_main+0xfd) [0x38a541e83d]
16: /usr/bin/Xorg [0x42c559]

Fatal server error:
Caught signal 7.  Server aborting

Appears intermittant... .This crash was about 8 minutes into the clip.

System is Thinkpad X200 with Intel graphics.

Attach output of Xorg.0.log; have no xorg.conf.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.7.0-1.fc11.x86_64
xorg-x11-server-Xorg-1.6.1-6.fc11.x86_64
kernel-2.6.29.1-101.fc11.x86_64

How reproducible:
Happened once.  Don't know.....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2009-04-21 09:51:33 EDT
Created attachment 340528 [details]
Output of "lspic -vv"

A bit more on this....

The above "Xorg crash" left the screen black and unresponsive.

I tried stressing the system by starting another hulu.com video after this, and eventually got the system to "crash" again, but this time the screen did not go black, the cursor continue to move when I moved the mouse, and I continued to hear the audio portion of the video clip (that is, the audio continued to play while the video "froze").

In this state, there were no changes to the display except for displaying movement of the cursor: the cursor did not change when I moved it from window to background to the panel, and clicking had no effect.

Ctrl-alt-FN had no effect as well.

After rebooting to recover the system, I could see nothing in /var/log/messages, /var/log/Xorg.0.log.old nor in ~/.xsession-errors.old ....

Suggestions on how to collect useful info appreciated.

I attach output of "lspci -vv" in case that is useful.
Comment 2 Adam Jackson 2009-04-23 16:48:22 EDT
If you can ssh in to the machine when this happens, then dmesg should have something interesting, probably about the GTT bring full.
Comment 3 Bug Zapper 2009-06-09 10:15:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matěj Cepl 2009-11-05 13:27:18 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Tom London 2009-11-05 14:21:59 EST
closing as fixed in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.